exec configs/common-hacks.cfg
exec ruleset-XDF.cfg
exec configs/maplist.cfg
exec configs/flood.cfg
exec configs/buffs.cfg

sv_checkpoint_house_url "http://xon.teichisma.info:10876/new-record"

sv_adminnick "admin"
sys_ticrate ".015625" // set higher ticrate for smoother gameplay
developer 0
g_cloaked 1
sv_vote_master_callable 0

g_balance_crylink_swap_attacks 1
g_forced_respawn 1
g_respawn_delay_max 0
g_balance_kill_antispam 0
g_cts_removeprojectiles 1

sv_gameplayfix_unstickplayers 1

gametype cts

g_jump_grunt 0
g_norecoil 1

timelimit_increment 10
timelimit_override 20
timelimit_overtimes -1
timelimit_overtime 0
timelimit_suddendeath 0

sv_friction_slick 0
g_playerclip_collisions 1
g_balance_machinegun_weaponstartoverride 1
g_balance_vortex_weaponstart 1
g_shootfromeye 1
// g_balance_damagepush_speedfactor 0

g_cts_send_rankings_cnt 99
timelimit_max 240

sv_vote_wait 360
// alias endmatch "say Do you really want to end this match? :("
alias really_endmatch "timelimit -1"
sv_vote_commands "restart gotomap nextmap endmatch reducematchtime extendmatchtime grunt nogrunt timelimit gotorandom"
alias menekarttaan="gotomap"
alias seuraavakartta="nextmap"
alias spielzeitverlängern="extendmatchtime"
alias spielzeitverringern="reducematchtime"
alias findepartie="endmatch" // french
alias b="restart"
alias d="grunt"
alias e="nogrunt"
alias f="timelimit"
alias g="gotorandom"

exec configs/grunt.cfg
alias veryslow "settemp sv_maxspeed 100; settemp sv_maxairspeed 100"
alias noveryslow "settemp_restore sv_maxspeed; settemp_restore sv_maxairspeed"
alias fastforward "settemp slowmo 2"
alias nofastforward "settemp_restore slowmo"
// addvote veryslow
// addvote noveryslow
// addvote fastforward
// addvote nofastforward

sv_vote_gametype 0

sv_doors_always_open 1
sv_q3defragcompat_changehitbox 1
sv_q3compat_changehitbox 1
sv_taunt 0
sv_autotaunt 0
sv_gameplayfix_stepdown 2
sv_qcphysics 1
sv_maxidle_playertospectator 600
sv_maxidle 1200
sv_maxidle_minplayers 10

g_powerups 1
g_powerups_strength 0
g_powerups_shield 0
g_powerups_invisibility 0
g_buffs 0
g_balance_powerup_speed_time 30
g_balance_powerup_speed_highspeed 1.3
g_balance_powerup_speed_attackrate 0.7692307692

//bots
minplayers 0	// add bots if less then that number of players playing.
bot_number 0 	// number of bots to add, people will get blocked by bots!
maxplayers 32
g_maxplayers 32 // above this player count, only allow spectators
// exec help.defrag.cfg
// exec info.cfg
//help_loop
// info_loop
// exec playlists.cfg

exec configs/gotorandom.cfg
exec configs/ads.cfg

alias refreshdb "savedb server.refreshed.db"
alias refreshdb_loop "refreshdb; defer 180 refreshdb_loop"

exec configs/autodemo.cfg
exec configs/rcon_restricted.cfg

alias update_maps "fs_rescan; maplist rebuild; maplist shuffle"

g_balance_crylink_swap_attacks 0
g_balance_damagepush_speedfactor 0

g_balance_blaster_primary_force 375
g_balance_mortar_primary_animtime 0.5
g_balance_mortar_primary_force 200
g_balance_mortar_secondary_force 250
g_balance_mortar_secondary_lifetime_bounce 0.4
g_balance_mortar_secondary_radius 200
g_balance_mortar_secondary_refire 0.5
g_balance_minelayer_radius 225
g_balance_minelayer_remote_force 250
g_balance_minelayer_remote_force 250
g_balance_electro_combo_force 120
g_balance_electro_primary_force 200
g_balance_electro_secondary_force 200
g_balance_crylink_primary_animtime 0.2
g_balance_crylink_primary_bounces 0
g_balance_crylink_primary_force 250
g_balance_crylink_primary_joinspread 0
g_balance_crylink_primary_radius 120
g_balance_crylink_primary_refire 0.2
g_balance_crylink_primary_shots 1
g_balance_crylink_primary_spread 0
g_balance_crylink_secondary_force -80
g_balance_crylink_secondary_radius 100
g_balance_crylink_secondary_refire 0.7
g_balance_crylink_secondary_shots 5
g_balance_crylink_secondary_speed 3000
g_balance_crylink_secondary_spread 0.01
g_balance_hagar_primary_force 45
g_balance_hagar_primary_radius 20
g_balance_hagar_primary_refire 0.1
g_balance_devastator_force 250
g_balance_devastator_force_xyscale 1.2
g_balance_devastator_radius 120
g_balance_devastator_refire 0.8
g_balance_vaporizer_primary_force 800
g_balance_vaporizer_secondary_force 480
g_balance_hlac_primary_force 90
g_balance_hlac_secondary_force 90
g_balance_fireball_primary_force 600
g_balance_seeker_flac_force 50
g_balance_seeker_missile_force 150
g_balance_arc_bolt_force 200
g_balance_arc_bolt_refire 0.05
g_balance_arc_bolt_refire2 0.05
g_balance_okrpc_primary_force 400
g_balance_okrpc_secondary_force 360
